summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-26 10:34:57 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-26 10:34:57 +0200
commit86157e4deb562e790f8924f83936d0646b7cc7c5 (patch)
treee6be6521edbb0524e7bc0c884bd698458f23e4d8 /bin/reproducible_build.sh
parent07dc6da2ffdbe6c9c8b97b1380aae5d7d208a172 (diff)
downloadjenkins.debian.net-86157e4deb562e790f8924f83936d0646b7cc7c5.tar.xz
reproducible: set +e instead of ||true, we want to check the exit code…
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 78038998..8052aaff 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -452,6 +452,7 @@ init_package_build() {
}
get_source_package() {
+ set +e
local RESULT
if [ "$MODE" != "master" ] ; then
schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source source ${SRCPACKAGE} 2>&1 | tee -a ${RBUILDLOG}
@@ -459,7 +460,7 @@ get_source_package() {
else
# the build master only needs to the the .dsc file
# timeout wget after 3min
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget || true
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget
RESULT=$?
fi
PARSED_RESULT=$(egrep 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' ${RBUILDLOG} || true)
@@ -475,11 +476,12 @@ get_source_package() {
RESULT=$?
else
# the build master only needs to the the .dsc file
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget || true
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget
RESULT=$?
fi
PARSED_RESULT=$(egrep 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' ${RBUILDLOG} || true)
fi
+ set -e
if [ $RESULT != 0 ] || [ "$(ls ${SRCPACKAGE}_*.dsc 2> /dev/null)" = "" ] || [ ! -z "$PARSED_RESULT" ] ; then
if [ "$MODE" = "master" ] ; then
handle_404